APIMCPs

List MCP requests

List pending MCP requests.

GET
/mcps/requests

List pending MCP requests.

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

view_mcps

Response Body

The request has succeeded.

application/json
  1. response
items*array<>
Example Request
curl -X GET 'https://your-org.aisecurity.services.us.connect.secureauth.com/api/v1/mcps/requests'
Example Response
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "kind": "string",      "target": "string",      "display_name": "string",      "requester": {        "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",        "display_name": "string",        "email": "string"      },      "created_at": "2019-08-24T14:15:22Z"    }  ]}